<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\Termine\TerminVerlaengernDialog\AbweichendeKurstage;

use Kufer\Web\KuferTools\Teilnehmer\KursUebersicht\Detailsreiter\Termine\TerminVerlaengernDialog;

class TerminVerlaengernAbsendenEMailUseCase extends \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Termine\TerminVerlaengernDialog\AbweichendeKurstage\TerminVerlaengernAbsendenEMailUseCase
{
  protected function createPresenter($response): \Kufer\Mail\EMail\IEMail
  {
    return new TerminVerlaengernDialog\TerminVerlaengernAbsendenEMailPresenter($response);
  }

  public static function getToolId()
  {
    return TerminVerlaengernDialog\TerminVerlaengernAbsendenUseCase::getToolId();
  }

  public static function getToolSectionId()
  {
    return TerminVerlaengernDialog\TerminVerlaengernAbsendenUseCase::getToolSectionId();
  }
}